diff --git a/web/pgadmin/browser/server_groups/servers/__init__.py b/web/pgadmin/browser/server_groups/servers/__init__.py
index c12c0b3..95be817 100644
--- a/web/pgadmin/browser/server_groups/servers/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/__init__.py
@@ -90,6 +90,14 @@ class ServerModule(sg.ServerGroupPluginModule):
                 in_recovery = None
                 wal_paused = None

+            # If server manintaince db is 'edb' then it is ppas server
+            # otherwise it is postgres server.
+            if(not connected):
+                server_type = 'ppas' if server.maintenance_db == 'edb' \
+                               else 'pg'
+            else:
+                server_type = manager.server_type
+
             yield self.generate_browser_node(
                 "%d" % (server.id),
                 gid,
@@ -99,7 +107,7 @@ class ServerModule(sg.ServerGroupPluginModule):
                 True,
                 self.NODE_TYPE,
                 connected=connected,
-                server_type=manager.server_type if connected else "pg",
+                server_type=server_type,
                 version=manager.version,
                 db=manager.db,
                 user=manager.user_info if connected else None,
diff --git a/web/pgadmin/browser/server_groups/servers/resource_groups/templates/resource_groups/js/resource_groups.js b/web/pgadmin/browser/server_groups/servers/resource_groups/templates/resource_groups/js/resource_groups.js
index c98c41a..3cc822e 100644
--- a/web/pgadmin/browser/server_groups/servers/resource_groups/templates/resource_groups/js/resource_groups.js
+++ b/web/pgadmin/browser/server_groups/servers/resource_groups/templates/resource_groups/js/resource_groups.js
@@ -39,12 +39,11 @@ define(
           /* Function is used to check the server type and version.
            * Resource Group only supported in PPAS 9.4 and above.
            */
-          enable: function() {
-            var server_obj = arguments[0];
-            if (server_obj.server_type === 'ppas' && server_obj.version >= 90400)
-              return true;
-            else
-              return false;
+          enable: function(node, item) {
+            var treeData = this.getTreeNodeHierarchy(item),
+                server = treeData['server'];
+            return server.connected && node.server_type === 'ppas' &&
+                   node.version >= 90400;
           }
         },{
           name: 'create_resource_group_on_coll', node: 'coll-resource_group', module: this,
